
public class Segment
{
    private Point a;
    private Point b;

    public Segment(Point p1, Point p2)
    {
        a = p1;
        b = p2;
    }

    public Point getP1()
    {
        return a;
    }

    public Point getP2()
    {
        return b;
    }

    public void setP1(Point newPoint)
    {
        a = newPoint;
    }

    public void setP2(Point newPoint)
    {
        b = newPoint;
    }
    
    public double length()
    {
        return Math.hypot(a.getX()-b.getX(), a.getY()-b.getY());
    }
}
