
public class Employee
{
    private String name;
    private double salary;

    public Employee(String name, double salary)
    {
        this.name = name;
        this.salary = salary;
    }

    public double getSalary()
    {
        return salary;
    }
    
    public String getName()
    {
        return name;
    }
    
    public String toString()
    {
        return "Name: " + name + ", Salary: " + salary;
    }
    
    public static void maximumSalary(Employee[] employees)
    {
        int maxPos = 0;
        for(int i = 1; i < employees.length; i++)
            if(employees[i].getSalary() > employees[maxPos].getSalary())
                maxPos = i;
                
        System.out.println(employees[maxPos]);
    }
}
